## GnomeCanvasPixbuf

GnomeCanvasPixbuf

## Properties

GtkAnchorType | anchor | Read / Write
double | height | Read / Write
gboolean | height-in-pixels | Read / Write
gboolean | height-set | Read / Write
GdkPixbuf * | pixbuf | Read / Write
double | width | Read / Write
gboolean | width-in-pixels | Read / Write
gboolean | width-set | Read / Write
double | x | Read / Write
gboolean | x-in-pixels | Read / Write
double | y | Read / Write
gboolean | y-in-pixels | Read / Write

## Types and Values

struct | GnomeCanvasPixbuf

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GnomeCanvasItem
                    ╰── GnomeCanvasPixbuf

## Includes

    #include <libgnomecanvas/libgnomecanvas.h>

## Description

## Functions

## Types and Values

### struct GnomeCanvasPixbuf

    struct GnomeCanvasPixbuf;

## Property Details

### The `“anchor”` property

      “anchor”                   GtkAnchorType

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: GTK_ANCHOR_NORTH_WEST

### The `“height”` property

      “height”                   double

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: 0

### The `“height-in-pixels”` property

      “height-in-pixels”         gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE

### The `“height-set”` property

      “height-set”               gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

Owner: GnomeCanvasPixbuf

Flags: Read / Write

### The `“width”` property

      “width”                    double

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: 0

### The `“width-in-pixels”` property

      “width-in-pixels”          gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE

### The `“width-set”` property

      “width-set”                gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE

### The `“x”` property

      “x”                        double

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: 0

### The `“x-in-pixels”` property

      “x-in-pixels”              gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE

### The `“y”` property

      “y”                        double

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: 0

### The `“y-in-pixels”` property

      “y-in-pixels”              gboolean

Owner: GnomeCanvasPixbuf

Flags: Read / Write

Default value: FALSE